org.apache.ode.bpel.pmapi

## Interface TInstanceInfo

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TInstanceInfoImpl

      public interface TInstanceInfo
      extends org.apache.xmlbeans.XmlObject

  An XML tInstanceInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TInstanceInfo.CorrelationProperties` An XML correlation-properties(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
    `static interface` | `TInstanceInfo.EventInfo` An XML event-info(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
    `static class` | `TInstanceInfo.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TInstanceInfo.CorrelationProperties` | `addNewCorrelationProperties()` Appends and returns a new empty "correlation-properties" element
    `TInstanceInfo.EventInfo` | `addNewEventInfo()` Appends and returns a new empty "event-info" element
    `TFailuresInfo` | `addNewFailures()` Appends and returns a new empty "failures" element
    `TFaultInfo` | `addNewFaultInfo()` Appends and returns a new empty "fault-info" element
    `TScopeRef` | `addNewRootScope()` Appends and returns a new empty "root-scope" element
    `TInstanceInfo.CorrelationProperties` | `getCorrelationProperties()` Gets the "correlation-properties" element
    `java.util.Calendar` | `getDtErrorSince()` Gets the "dt-error-since" element
    `java.util.Calendar` | `getDtLastActive()` Gets the "dt-last-active" element
    `java.util.Calendar` | `getDtStarted()` Gets the "dt-started" element
    `TInstanceInfo.EventInfo` | `getEventInfo()` Gets the "event-info" element
    `TFailuresInfo` | `getFailures()` Gets the "failures" element
    `TFaultInfo` | `getFaultInfo()` Gets the "fault-info" element
    `java.lang.String` | `getIid()` Gets the "iid" element
    `java.lang.String` | `getPid()` Gets the "pid" element
    `javax.xml.namespace.QName` | `getProcessName()` Gets the "process-name" element
    `TScopeRef` | `getRootScope()` Gets the "root-scope" element
    `TInstanceStatus.Enum` | `getStatus()` Gets the "status" element
    `boolean` | `isSetCorrelationProperties()` True if has "correlation-properties" element
    `boolean` | `isSetDtErrorSince()` True if has "dt-error-since" element
    `boolean` | `isSetEventInfo()` True if has "event-info" element
    `boolean` | `isSetFailures()` True if has "failures" element
    `boolean` | `isSetFaultInfo()` True if has "fault-info" element
    `boolean` | `isSetRootScope()` True if has "root-scope" element
    `void` | `setCorrelationProperties(TInstanceInfo.CorrelationProperties correlationProperties)` Sets the "correlation-properties" element
    `void` | `setDtErrorSince(java.util.Calendar dtErrorSince)` Sets the "dt-error-since" element
    `void` | `setDtLastActive(java.util.Calendar dtLastActive)` Sets the "dt-last-active" element
    `void` | `setDtStarted(java.util.Calendar dtStarted)` Sets the "dt-started" element
    `void` | `setEventInfo(TInstanceInfo.EventInfo eventInfo)` Sets the "event-info" element
    `void` | `setFailures(TFailuresInfo failures)` Sets the "failures" element
    `void` | `setFaultInfo(TFaultInfo faultInfo)` Sets the "fault-info" element
    `void` | `setIid(java.lang.String iid)` Sets the "iid" element
    `void` | `setPid(java.lang.String pid)` Sets the "pid" element
    `void` | `setProcessName(javax.xml.namespace.QName processName)` Sets the "process-name" element
    `void` | `setRootScope(TScopeRef rootScope)` Sets the "root-scope" element
    `void` | `setStatus(TInstanceStatus.Enum status)` Sets the "status" element
    `void` | `unsetCorrelationProperties()` Unsets the "correlation-properties" element
    `void` | `unsetDtErrorSince()` Unsets the "dt-error-since" element
    `void` | `unsetEventInfo()` Unsets the "event-info" element
    `void` | `unsetFailures()` Unsets the "failures" element
    `void` | `unsetFaultInfo()` Unsets the "fault-info" element
    `void` | `unsetRootScope()` Unsets the "root-scope" element
    `org.apache.xmlbeans.XmlDateTime` | `xgetDtErrorSince()` Gets (as xml) the "dt-error-since" element
    `org.apache.xmlbeans.XmlDateTime` | `xgetDtLastActive()` Gets (as xml) the "dt-last-active" element
    `org.apache.xmlbeans.XmlDateTime` | `xgetDtStarted()` Gets (as xml) the "dt-started" element
    `org.apache.xmlbeans.XmlString` | `xgetIid()` Gets (as xml) the "iid" element
    `org.apache.xmlbeans.XmlString` | `xgetPid()` Gets (as xml) the "pid" element
    `org.apache.xmlbeans.XmlQName` | `xgetProcessName()` Gets (as xml) the "process-name" element
    `TInstanceStatus` | `xgetStatus()` Gets (as xml) the "status" element
    `void` | `xsetDtErrorSince(org.apache.xmlbeans.XmlDateTime dtErrorSince)` Sets (as xml) the "dt-error-since" element
    `void` | `xsetDtLastActive(org.apache.xmlbeans.XmlDateTime dtLastActive)` Sets (as xml) the "dt-last-active" element
    `void` | `xsetDtStarted(org.apache.xmlbeans.XmlDateTime dtStarted)` Sets (as xml) the "dt-started" element
    `void` | `xsetIid(org.apache.xmlbeans.XmlString iid)` Sets (as xml) the "iid" element
    `void` | `xsetPid(org.apache.xmlbeans.XmlString pid)` Sets (as xml) the "pid" element
    `void` | `xsetProcessName(org.apache.xmlbeans.XmlQName processName)` Sets (as xml) the "process-name" element
    `void` | `xsetStatus(TInstanceStatus status)` Sets (as xml) the "status" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getIid

          java.lang.String getIid()

      Gets the "iid" element

    - #### xgetIid

          org.apache.xmlbeans.XmlString xgetIid()

      Gets (as xml) the "iid" element

    - #### setIid

          void setIid(java.lang.String iid)

      Sets the "iid" element

    - #### xsetIid

          void xsetIid(org.apache.xmlbeans.XmlString iid)

      Sets (as xml) the "iid" element

    - #### getPid

          java.lang.String getPid()

      Gets the "pid" element

    - #### xgetPid

          org.apache.xmlbeans.XmlString xgetPid()

      Gets (as xml) the "pid" element

    - #### setPid

          void setPid(java.lang.String pid)

      Sets the "pid" element

    - #### xsetPid

          void xsetPid(org.apache.xmlbeans.XmlString pid)

      Sets (as xml) the "pid" element

    - #### getProcessName

          javax.xml.namespace.QName getProcessName()

      Gets the "process-name" element

    - #### xgetProcessName

          org.apache.xmlbeans.XmlQName xgetProcessName()

      Gets (as xml) the "process-name" element

    - #### setProcessName

          void setProcessName(javax.xml.namespace.QName processName)

      Sets the "process-name" element

    - #### xsetProcessName

          void xsetProcessName(org.apache.xmlbeans.XmlQName processName)

      Sets (as xml) the "process-name" element

    - #### getRootScope

          TScopeRef getRootScope()

      Gets the "root-scope" element

    - #### isSetRootScope

          boolean isSetRootScope()

      True if has "root-scope" element

    - #### setRootScope

          void setRootScope(TScopeRef rootScope)

      Sets the "root-scope" element

    - #### addNewRootScope

          TScopeRef addNewRootScope()

      Appends and returns a new empty "root-scope" element

    - #### unsetRootScope

          void unsetRootScope()

      Unsets the "root-scope" element

    - #### getStatus

          TInstanceStatus.Enum getStatus()

      Gets the "status" element

    - #### xgetStatus

          TInstanceStatus xgetStatus()

      Gets (as xml) the "status" element

    - #### setStatus

          void setStatus(TInstanceStatus.Enum status)

      Sets the "status" element

    - #### xsetStatus

          void xsetStatus(TInstanceStatus status)

      Sets (as xml) the "status" element

    - #### getDtStarted

          java.util.Calendar getDtStarted()

      Gets the "dt-started" element

    - #### xgetDtStarted

          org.apache.xmlbeans.XmlDateTime xgetDtStarted()

      Gets (as xml) the "dt-started" element

    - #### setDtStarted

          void setDtStarted(java.util.Calendar dtStarted)

      Sets the "dt-started" element

    - #### xsetDtStarted

          void xsetDtStarted(org.apache.xmlbeans.XmlDateTime dtStarted)

      Sets (as xml) the "dt-started" element

    - #### getDtLastActive

          java.util.Calendar getDtLastActive()

      Gets the "dt-last-active" element

    - #### xgetDtLastActive

          org.apache.xmlbeans.XmlDateTime xgetDtLastActive()

      Gets (as xml) the "dt-last-active" element

    - #### setDtLastActive

          void setDtLastActive(java.util.Calendar dtLastActive)

      Sets the "dt-last-active" element

    - #### xsetDtLastActive

          void xsetDtLastActive(org.apache.xmlbeans.XmlDateTime dtLastActive)

      Sets (as xml) the "dt-last-active" element

    - #### getDtErrorSince

          java.util.Calendar getDtErrorSince()

      Gets the "dt-error-since" element

    - #### xgetDtErrorSince

          org.apache.xmlbeans.XmlDateTime xgetDtErrorSince()

      Gets (as xml) the "dt-error-since" element

    - #### isSetDtErrorSince

          boolean isSetDtErrorSince()

      True if has "dt-error-since" element

    - #### setDtErrorSince

          void setDtErrorSince(java.util.Calendar dtErrorSince)

      Sets the "dt-error-since" element

    - #### xsetDtErrorSince

          void xsetDtErrorSince(org.apache.xmlbeans.XmlDateTime dtErrorSince)

      Sets (as xml) the "dt-error-since" element

    - #### unsetDtErrorSince

          void unsetDtErrorSince()

      Unsets the "dt-error-since" element

    - #### getCorrelationProperties

          TInstanceInfo.CorrelationProperties getCorrelationProperties()

      Gets the "correlation-properties" element

    - #### isSetCorrelationProperties

          boolean isSetCorrelationProperties()

      True if has "correlation-properties" element

    - #### setCorrelationProperties

          void setCorrelationProperties(TInstanceInfo.CorrelationProperties correlationProperties)

      Sets the "correlation-properties" element

    - #### addNewCorrelationProperties

          TInstanceInfo.CorrelationProperties addNewCorrelationProperties()

      Appends and returns a new empty "correlation-properties" element

    - #### unsetCorrelationProperties

          void unsetCorrelationProperties()

      Unsets the "correlation-properties" element

    - #### getEventInfo

          TInstanceInfo.EventInfo getEventInfo()

      Gets the "event-info" element

    - #### isSetEventInfo

          boolean isSetEventInfo()

      True if has "event-info" element

    - #### setEventInfo

          void setEventInfo(TInstanceInfo.EventInfo eventInfo)

      Sets the "event-info" element

    - #### addNewEventInfo

          TInstanceInfo.EventInfo addNewEventInfo()

      Appends and returns a new empty "event-info" element

    - #### unsetEventInfo

          void unsetEventInfo()

      Unsets the "event-info" element

    - #### getFaultInfo

          TFaultInfo getFaultInfo()

      Gets the "fault-info" element

    - #### isSetFaultInfo

          boolean isSetFaultInfo()

      True if has "fault-info" element

    - #### setFaultInfo

          void setFaultInfo(TFaultInfo faultInfo)

      Sets the "fault-info" element

    - #### addNewFaultInfo

          TFaultInfo addNewFaultInfo()

      Appends and returns a new empty "fault-info" element

    - #### unsetFaultInfo

          void unsetFaultInfo()

      Unsets the "fault-info" element

    - #### getFailures

          TFailuresInfo getFailures()

      Gets the "failures" element

    - #### isSetFailures

          boolean isSetFailures()

      True if has "failures" element

    - #### setFailures

          void setFailures(TFailuresInfo failures)

      Sets the "failures" element

    - #### addNewFailures

          TFailuresInfo addNewFailures()

      Appends and returns a new empty "failures" element

    - #### unsetFailures

          void unsetFailures()

      Unsets the "failures" element